Subject: Fwd: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f (switch fullscreen)

From: Mike Gabriel <[email-masked]>
Date: Wed, 29 May 2013 19:22:49 +0200

----- Weitergeleitete Nachricht von [email-masked] -----
      Datum: Wed, 29 May 2013 15:10:38 +0200
        Von: Thomas Güttler <[email-masked]>
    Betreff: Re: [X2Go-Dev] Bug#223: Space key behaves like ctrl-alt-f  
(switch fullscreen)
         An: Mike Gabriel <[email-masked]>

Yes, with this new settings, it works for me.

I tested ctrl+alt+f and space.

Regards,

    Thomas Güttler

Am 28.05.2013 22:38, schrieb Mike Gabriel:
> notfound #223 2:3.5.0.21-0~350~lucid1
> found #223 3.5.0.21
> tag #223 moreinfo
> thanks
>
> Hi Thomas,
>
> On Di 28 Mai 2013 12:39:57 CEST Thomas Güttler wrote:
>
>> Package: x2goagent
>> Version: 2:3.5.0.21-0~350~lucid1
>>
>> The file /etc/x2go/keystrokes.cfg contained an entry to make the
>> space key behave like ctrg+alt-f (switch fullscreen mode).
>>
>> See  http://wiki.x2go.org/doku.php/wiki:advanced:nx-keyboard-shortcuts
>>
>
> <!DOCTYPE NXKeystroke>
> <keystrokes>
> <keystroke action="close_session" Control="1" key="t" />
> <keystroke action="switch_all_screens" Control="1" key="f" />
> <keystroke action="minimize" Control="1" key="m" />
> <keystroke action="resize" Control="1" key="r" />
> <keystroke action="defer" Control="1" key="e" />
> <keystroke action="ignore" Control="1" key="BackSpace" />
> <keystroke action="force_synchronization" Control="1" key="j" />
> <keystroke action="debug_tree" Control="1" key="q" />
> <keystroke action="regions_on_screen" Control="1" key="a" />
> <keystroke action="test_input" Control="1" key="x" />
> <keystroke action="deactivate_input_devices_grab" Control="1" key="y" />
> <keystroke action="fullscreen" Control="1" Shift="1" key="f" />
> <keystroke action="viewport_move_left" Control="1" Shift="1" key="Left" />
> <keystroke action="viewport_move_up" Control="1" key="Up" />
> <keystroke action="viewport_move_right" Control="1" key="Right" />
> <keystroke action="viewport_move_down" Control="1" key="Down" />
> </keystrokes>
>
> Can you please use the above XML code as /etc/x2go/keystrokes.cfg  
> and report back if your X2Go Session behaves normally?
>
> I'd rather prefer a keystrokes.cfg with sensible defaults rather  
> than shipping a keystrokes.cfg.example that breaks the
> system.
>
> Sorry, that I did not look at the file much more closely when activating it.
>
> Greets,
> Mike
>
>

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb